%define version 8.1.0
%define rel 1

Summary:        An NNTP protocol implementation together with clients and servers
Name:           python-twisted-news
Version: %version
Release: %mkrel %rel
Source0:        http://tmrc.mit.edu/mirror/twisted/News/8.1/TwistedNews-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNews
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
Twisted News provides a very basic NNTP server, as well as an NNTP client 
protocol implementation. Two messages storage systems are supported: the 
DB-API 2.0 backend stores and indexes messages in any compatible SQL 
database; the Twisted dirdbm backend uses serialized Python objects 
stored directly on the filesystem for message storage. Twisted News 
also has very rudamentary support for moderated groups.

%prep
%setup -q -n TwistedNews-%version

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root  %buildroot --install-purelib=%py_platsitedir

%clean
%__rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc  LICENSE README
%py_platsitedir/twisted/news/
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info


%changelog
* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219072
-update to new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Crispin Boylan <crisb@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 77002
- Add new egginfo file
- New version


* Tue May 30 2006 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- make it arch dependant, use macro

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package ( forget to upload 4 months ago )

